Bug 190086 - Review Request: rman
Review Request: rman
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-27 09:41 EDT by Michael A. Peters
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-30 07:54:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael A. Peters 2006-04-27 09:41:27 EDT
Spec URL: http://mpeters.us/fc_extras/rman.spec
SRPM URL: http://mpeters.us/fc_extras/rman-3.2-1.fc5.src.rpm
Description:
Parse formatted man pages and man page source from most flavors of UNIX.
Convert to HTML, ASCII, TkMan, DocBook, and other formats.

-=-
This is hands down the best man to html converter I personally have ever used.
Comment 1 Jason Tibbitts 2006-04-28 13:25:10 EDT
Everything looks good.

Issues:
Your Source URL points to a specific sourceforge mirror.  Admittedly I was
amazed that I was able to get the file on the first try, but I wonder if it's a
good ide to do that.  Is there any specific reason you chose to use that mirror?

You don't package the stuff in contrib.  If you wanted to, you'd need to delete
 or chmod 644 sco-wrapper.sh and then fix up end-of-line encodings and the perl
shebang lines.

You should ping upstream to include the text of their license.

None of these are blockers.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   6d1d67641c6d042595a96a62340d3cc6  rman-3.2.tar.gz
   6d1d67641c6d042595a96a62340d3cc6  rman-3.2.tar.gz-srpm
* BuildRequires are proper.
* package builds in mock (development, i386 and x86_64).
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns no non-%doc directories.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
O %check present, no test suite upstream.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Michael A. Peters 2006-04-28 14:19:55 EDT
Thanks - I had intended to package contrib and neglected to :-/

It is packaged now (with %doc) - with correct line breaks and correct
/usr/bin/perl for the contrib perl scripts.

Note You need to log in before you can comment on or make changes to this bug.